Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512275 - Fan constantly running after suspend on Lenovo E540
Summary: Fan constantly running after suspend on Lenovo E540
Keywords:
Status: MODIFIED
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-12 11:26 UTC by fasiellon
Modified: 2018-10-15 13:17 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-23 16:13:52 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1480844 None CLOSED Fan constantly running after suspend on T470s 2018-11-22 15:16:15 UTC

Description fasiellon 2017-11-12 11:26:05 UTC
Description of problem:
After suspend fan start running at top speed and it ends with my laptop to automatically turn off like it was too hot to continue computing

Version-Release number of selected component (if applicable):


How reproducible:
suspend the laptop, then resume it


Additional info:
The bug is similar to this one https://bugzilla.redhat.com/show_bug.cgi?id=1480844

Comment 1 fasiellon 2017-11-12 11:29:16 UTC
current kernel version is 4.13.11-300.fc27.x86_64

Comment 2 Hans de Goede 2017-11-12 11:46:22 UTC
We've seen similar issues on the T450 from Lenovo, there the fix was a BIOS update, you should probably contact Lenovo and ask them if they can release a BIOS update containing the same fix as they did for the T450 for the E540.

Comment 3 fasiellon 2017-12-03 19:49:15 UTC
I've created a post on the lenovo forum, hope to receive a reply soon 

https://forums.lenovo.com/t5/Linux-Discussion/E540-fan-100-on-after-resume-on-Linux-4-13/td-p/3896502

Comment 4 Laura Abbott 2018-02-20 19:55:31 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  As kernel maintainers, we try to keep up with bugzilla but due the rate at which the upstream kernel project moves, bugs may be fixed without any indication to us. Due to this, we are doing a mass bug update across all of the Fedora 27 kernel bugs.
 
Fedora 27 has now been rebased to 4.15.3-300.f27.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you experience different issues, please open a new bug report for those.

Comment 5 fasiellon 2018-02-23 14:31:44 UTC
things are improved with kernel 4.15.3-300, I'm not experiencing this fan issue anymore. Thanks.

Comment 6 Laura Abbott 2018-02-23 16:13:52 UTC
Thanks for confirming.

Comment 7 fasiellon 2018-07-25 09:06:10 UTC
I have to ask for a reopening of this bug since the behaviour is still present on Fedora 28 with kernel 4.17.6-200.fc28.x86_64.
It's about months that the bad behaviour is present.
First kernel of Fedora 28 wasn't afflicted by this problem.

Comment 8 Laura Abbott 2018-10-01 21:30:18 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 9 fasiellon 2018-10-03 07:10:29 UTC
Problem is still there in fedora 28 - kernel 4.18.10-200

note that is -200, not -300

I haven't yet received the 4.18.10-300 package, when (if) I'll receive it I'll write an update of this comment.

Thanks.

Comment 10 fasiellon 2018-10-15 13:17:14 UTC
Bug is still there with kernel 4.18.12-200.fc28.x86_64.

Logging out of the system before suspend it doesn't solve the issue but fans stop running after I log in again. If I don't log-in or take too much time to log in, system will turn off to prevent (false) over-heating.


Note You need to log in before you can comment on or make changes to this bug.